vte2.91 (0.72.2-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:24:24 -0400

vte2.91 (0.72.2-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/widget-Invalidate-ringview-when-the-invalidating.patch:
    Add patch from upstream git to invalidate ring view more often when
    necessary, fixing various assertion failures during event handling
    (Closes: #1040049)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Jul 2023 08:13:21 -0400

vte2.91 (0.72.2-1) experimental; urgency=medium

  * New upstream release
    - Includes fix for an infinite loop processing OSC 104.
      A malicious program accessed via ssh, telnet or similar protocols could
      use this as a denial of service.
      (Closes: #1037919, LP: #2022019; vte#2631 upstream)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 16:54:36 -0400

vte2.91 (0.72.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Apr 2023 11:30:57 +0200

vte2.91 (0.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 07:43:55 -0400

vte2.91 (0.71.99-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 18:24:33 -0500

vte2.91 (0.71.92-1) experimental; urgency=medium

  * New upstream release
  * debian/libvte-2.91-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:10:44 -0500

vte2.91 (0.70.3-1) unstable; urgency=medium

  * New upstream release
  * Drop "last line" patch: applied in new release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 09:51:14 -0500

vte2.91 (0.70.2-2) unstable; urgency=high

  * Cherry-pick fix for GNOME Console 43 copying last line (Closes: #1017015)
    (LP: #2002926)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2023 19:27:32 -0500

vte2.91 (0.70.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 09:00:58 -0500

vte2.91 (0.70.1-1) unstable; urgency=medium

  * New upstream release
  * Drop gtk4 clipboard patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 04 Nov 2022 09:25:47 +0100

vte2.91 (0.70.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 07:20:25 -0400

vte2.91 (0.69.99-1) unstable; urgency=medium

  * New upstream release
  * Drop "open link" patch: applied in new release
  * Cherry-pick 2 patches to fix middle click paste for GNOME Console

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 04 Sep 2022 07:24:40 -0400

vte2.91 (0.69.92-2) unstable; urgency=high

  * Cherry-pick patch to fix opening links in GNOME Console

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 15:54:14 -0400

vte2.91 (0.69.92-1) unstable; urgency=medium

  * New upstream release (Closes: #1016640)
  * Drop cherry-picked patches
  * Refresh remaining patch
  * debian/*symbols: Drop symbols from the previous alpha release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 09:33:05 -0400

vte2.91 (0.69.90-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 14:01:58 -0400

vte2.91 (0.69.90-1) unstable; urgency=medium

  * New upstream release
  * Build gtk4 library (Closes: #1013950)
  * Update symbols files
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * Refresh patch
  * Add patch to fix toml install location
  * Cherry-pick gtk4 related fixes since last release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Jul 2022 17:18:37 -0400

vte2.91 (0.68.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 08:37:19 -0400

vte2.91 (0.67.90-2) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release
  * d/libvte-2.91-0.symbols: Add new symbols

  [ Jeremy Bicha ]
  * debian/copyright: Drop LGPL-2+/GPL-2+. The upstream maintainer
    has used the option to explicitly relicense to LGPL-3+/GPL-3+.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 15:07:23 -0500

vte2.91 (0.66.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Dec 2021 18:54:52 -0500

vte2.91 (0.66.1-1) unstable; urgency=medium

  * New upstream release
  * Dropped patches from 0.64.2-3 (applied upstream)
  * debian/libvte-2.91-0.symbols: New symbols added
  * d/p/Allow-background-color-and-color-on-VteTerminal-widgets-t.patch:
    - Refreshed
  * Bump Standards-Version to 4.6.0

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 08 Nov 2021 06:29:40 +0100

vte2.91 (0.64.2-3) unstable; urgency=medium

  * Team upload
  * d/patches: Update to 0.64.2-5-g2ea994e22
    - d/p/lib-Fix-switching-encodings.patch:
      Fix ability to switch between encodings in gnome-terminal
    - d/p/build-Fix-build-on-non-linux-systems.patch:
      Fix build on non-Linux kernels
    - d/p/fonts-More-metrics-sanity-checks.patch:
      Avoid descenders getting cut off (Closes: #994417)
    - d/p/emulation-Fix-xterm-window-size-request-response.patch:
      Don't swap width and height when responding to an xterm window
      size request

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Sep 2021 10:31:33 +0100

vte2.91 (0.64.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 08:06:22 -0400

vte2.91 (0.64.2-1) experimental; urgency=medium

  * d/gbp.conf: Back to upstream/latest
  * New upstream release
  * Bump to debhelper-compat 13
  * d/libvte-2.91-dev.install:
    - Install glade/catalogs/vte-2.91.xml
  * d/libvte-2.91-common.install:
    - Install glade/pixmaps/hicolor/*/actions/widget-vte-terminal.png
  * d/libvte-2.91-0.symbols: Add new symbols
  * Refresh patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 27 Jun 2021 01:28:22 +0200

vte2.91 (0.62.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Use int8_t instead of ssize_t for length of short keymap strings
  * Drop patches that were applied upstream
  * d/gbp.conf: Use upstream/0.62.x branch for new imports from upstream.
    0.63.x releases have already happened.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Feb 2021 21:05:29 +0000

vte2.91 (0.62.2-1) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * d/p/Allow-background-color-and-color-on-VteTerminal-widgets-t.patch:
    - Allow VteTerminal style customization via the theme.

  [ Simon McVittie ]
  * New upstream release
  * Refresh patch series
  * d/patches: Apply post-release commits from vte-0-62 branch
  * d/copyright: Update
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jan 2021 22:02:50 +0000

vte2.91 (0.62.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2020 10:26:13 +0000

vte2.91 (0.62.0-3) unstable; urgency=medium

  * Team upload
  * d/p/vte.sh-Avoid-warnings-if-shell-is-configured-with-set-u.patch:
  * Add patch to fix warnings in shells that use 'set -u'.
    Thanks to Marko Mäkelä (Closes: #941247)
  * d/p/lib-Abort-when-alloc-returns-nullptr.patch:
    Add patch from upstream to make out-of-memory handling more consistent
  * d/p/gtk-Allow-passing-null-callback-to-spawn_async.patch:
    Add patch from upstream to fix a regression in mssh (Closes: #971422)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Sep 2020 16:04:28 +0100

vte2.91 (0.62.0-2) unstable; urgency=medium

  * Team upload
  * d/p/widget-Define-text_view_bg-in-fallback-CSS-if-the-theme-d.patch:
    Add patch to work around themes that don't define @text_view_bg.
    Note that upstream considers this to be a workaround, and it is likely
    to be reverted in vte 0.63.x post-bullseye - please update third-party
    themes accordingly. (Closes: #970664)
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 20:46:51 +0100

vte2.91 (0.62.0-1) unstable; urgency=medium

  * Team upload
  * d/watch: Watch for git tags, not for upstream tarball releases.
    The upstream maintainer of vte does not always upload tarballs to
    download.gnome.org.
  * New upstream stable release
    - Translation updates
    - Fix ABI regression (previously avoided in Debian via a patch)
  * Drop patch, applied upstream
  * d/watch: Only watch for stable (even-numbered) releases
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 10:11:37 +0100

vte2.91 (0.61.91-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * Drop patch 01_scroll_notebook.patch.
    This never went upstream, and is intended to work with a corresponding
    patch in GTK 3 that was rejected upstream and disabled in Debian's
    GTK packaging in 2012.
  * Don't install NEWS, no longer provided
  * Disable icu support for the udeb
  * Build udeb with -static-libgcc -static-libstdc++
    There's no libstdc++ udeb, and vte exports a C ABI but is C++ internally,
    so this might be a way to make the udeb installable.
  * Add proposed patch to revert an ABI break
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Sep 2020 12:23:17 +0100

vte2.91 (0.60.3-1) unstable; urgency=medium

  * New upstream stable release

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 11 Jun 2020 23:31:10 +0200

vte2.91 (0.60.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Apr 2020 17:56:59 +0100

vte2.91 (0.60.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - vte.csh: Fix behavior if VTE_VERSION is undefined
    - Fix g-i bindings for VtePty
    - Fix a regression for terminals that have no pty, for example in
      qemu (LP: #1868116)

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Mar 2020 09:55:25 +0000

vte2.91 (0.60.0-2) unstable; urgency=medium

  * debian/rules: Fix FTBFS when only building arch:all packages
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 13:20:12 +0100

vte2.91 (0.60.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Adjust the build-dependencies
    - debian/libvte-2.91-0.symbols: Add newly exported symbols
  * debian/rules: Disable systemd support in the udeb
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Switch libvte-2.91-common to arch:any and install new vte-urlencode-cwd
    helper executable and systemd config file

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 12:21:26 +0100

vte2.91 (0.58.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Standards-Version: 4.4.1 (no changes required)
  * Mark -doc package as Multi-Arch: foreign
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Make cross-test friendly

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2019 18:35:43 +0000

vte2.91 (0.58.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 06:40:57 -0400

vte2.91 (0.58.1-1) unstable; urgency=medium

  * New upstream release
    - Update Persian translation
    - emulation: Ensure the cursor remains onscreen when moving down
    - widget: Don't scroll to bottom on keystroke in read-only mode
  * Drop obsolete Build-Depends on gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 09 Oct 2019 20:37:01 -0400

vte2.91 (0.58.0-1) unstable; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Thu, 12 Sep 2019 11:40:08 +0100

vte2.91 (0.57.90-2) experimental; urgency=medium

  * Team upload
  * Don't do the udeb build if we are not building any udebs
    (Closes: #935788)
  * Don't build the udeb under the noudeb build-profile
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Aug 2019 10:35:17 +0100

vte2.91 (0.57.90-1) experimental; urgency=medium

  * debian/watch: Find unstable versions
  * New upstream release
  * control, rules, install: Update for meson and DH 12. The glade catalog
    files have been dropped, and the static library is no longer created.
  * pthread-vs-nostdlib.patch: Drop, not needed with meson
  * rules: Don't install the demo program
  * libvte-2.91-0.symbols: Update with new symbols

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2019 15:45:12 +0100

vte2.91 (0.56.3-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <laney@debian.org>  Fri, 10 May 2019 17:55:41 +0100

vte2.91 (0.56.2-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <laney@debian.org>  Wed, 01 May 2019 12:31:17 +0100

vte2.91 (0.56.1-1) experimental; urgency=medium

  * New upstream release
    + widget: Cancel autoscroll on ending selecting

 -- Iain Lane <laney@debian.org>  Tue, 09 Apr 2019 13:10:42 +0100

vte2.91 (0.56.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 18:53:20 -0400

vte2.91 (0.55.90-1) experimental; urgency=medium

  * New upstream development release
  * debian/libvte-2.91-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 09:12:59 -0500

vte2.91 (0.54.2-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 19:41:38 -0500

vte2.91 (0.54.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Standards-Version: 4.2.1
  * Normalize dependency lists (wrap-and-sort -a)
  * Normalize installed file lists (wrap-and-sort -a)
  * Add a compile/link/execute autopkgtest

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 14:02:46 +0000

vte2.91 (0.54.1-1) unstable; urgency=medium

  * Team upload
  * d/copyright: Update
  * New upstream release
    - Fixes a crash on repeated encoding changes (Closes: #910208)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Oct 2018 10:20:37 +0100

vte2.91 (0.54.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * Update symbols file

  [ Jeremy Bicha ]
  * Update debian/gbp.conf
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 10:36:42 -0400

vte2.91 (0.53.0-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * d/watch: Watch for development versions
  * d/copyright: Update
  * Set Rules-Requires-Root to no
  * Stop installing AUTHORS file, which just points to git history
  * Stop installing README, which no longer exists
  * Standards-Version: 4.2.0
  * Refresh patch series
  * d/libvte-2.91-0.symbols: Ignore C++ symbols.
    These are template instantiations, and are not part of vte's
    public ABI.

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Aug 2018 11:17:41 +0100

vte2.91 (0.52.2-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream release 0.52.2 (LP: #1774167):
    + [5966e8b] ring: Proper boundary checking for hyperlink position.
      This fixes a rare crash around hyperlinks in a non grid aligned VTE
      widget when the mouse enters the extra padding at the bottom.
    + [7322c27] all: Fix spelling

 -- Iain Lane <laney@debian.org>  Wed, 30 May 2018 11:57:52 +0100

vte2.91 (0.52.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete debian/xterm. Thanks Egmont Koblinger! (Closes: #889898)
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Apr 2018 18:05:22 -0400

vte2.91 (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 17:59:23 -0400

vte2.91 (0.51.92-1) unstable; urgency=medium

  * New upstream release candidate
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Mar 2018 09:43:13 -0500

vte2.91 (0.51.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop obsolete Build-Depends on gperf
  * debian/libvte-2.91-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Feb 2018 12:32:07 -0500

vte2.91 (0.50.2-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 17:59:32 -0500

vte2.91 (0.50.2-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

  [ Simon McVittie ]
  * Remove redundant Priority field for libvte-2.91-0-udeb, which now
    has the source package's default Priority

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 23:10:04 -0500

vte2.91 (0.50.2-2) unstable; urgency=medium

  * Rename /etc/profile.d/vte.sh → vte-2.91.sh in override_dh_auto_install.
    This avoids a build failure for binary-arch only builds.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 21:50:58 +0100

vte2.91 (0.50.2-1) unstable; urgency=medium

  * New upstream release
  * Convert from cdbs to dh
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Use dh_missing to list uninstalled files
  * Change priority of libvte-2.91-0-udeb from extra to optional.
    The priority extra has been deprecated.
  * Refresh patches

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 19:34:21 +0100

vte2.91 (0.50.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 10:56:14 -0400

vte2.91 (0.50.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2017 14:40:51 +0100

vte2.91 (0.49.92-1) unstable; urgency=medium

  * New upstream release
  * debian/libvte-2.91-0.symbols: Add new symbols
  * debian/copyright: Minor update

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Sep 2017 17:37:28 -0400

vte2.91 (0.48.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on gperf
    - Bump minimum valac to 0.31.1
  * debian/libvte-2.91-0.symbols: Add new symbols
  * Drop fix-out-of-tree-build.patch: Fixed in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 20:04:21 -0400

vte2.91 (0.46.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Jul 2017 01:18:29 +0200

vte2.91 (0.46.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 01:16:36 +0100

vte2.91 (0.46.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 10:48:53 +0200

vte2.91 (0.45.92-1) unstable; urgency=medium

  * New upstream development release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 17:24:53 +0200

vte2.91 (0.45.90-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 15:22:33 +0200

vte2.91 (0.45.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/libvte-2.91-0.symbols with many new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Aug 2016 16:57:17 +0200

vte2.91 (0.44.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/01_scroll_notebook.patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 18:14:57 +0200

vte2.91 (0.44.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.8.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 21:53:56 +0200

vte2.91 (0.44.0-2) experimental; urgency=medium

  * Team upload
  * Force compilation against Gtk 3.20 to fix VteTerminal CSS selector
    resulting in incorrect padding and, indirectly, off-by-one resizing
    (GNOME #763538)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Apr 2016 09:20:24 +0100

vte2.91 (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - add libpcre2-dev (>= 10.21)
    - bump libgtk-3-dev (>= 3.16)
  * Refresh both patches to apply without fuzz.
  * Fix return statement in debian/patches/01_scroll_notebook.patch
    - the function is (now?) void, so don't try to return FALSE.
  * Add debian/patches/pthread-vs-nostdlib.patch
  * Update debian/libvte-2.91-0.symbols with two additions.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 17:25:27 +0100

vte2.91 (0.42.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 17:36:22 +0100

vte2.91 (0.42.4-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Feb 2016 20:25:23 +0100

vte2.91 (0.42.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 03 Feb 2016 10:56:48 +0100

vte2.91 (0.42.1-2) unstable; urgency=medium

  * Bump debhelper version to 9
  * Add multi-arch support (LP: #1508636)
  * Remove remaining bits related to gnome-pty-helper
  * Pass --as-needed to dh_autoreconf and to the linker to reduce runtime
    dependencies

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 Nov 2015 15:26:04 +0100

vte2.91 (0.42.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Oct 2015 17:18:58 +0200

vte2.91 (0.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump libgnutls28-dev to >= 3.2.7
  * Update debian/patches/*.patch to apply cleanly.
  * Stop shipping gnome-pty-helper in libvte-2.91-0
    - no longer shipped by upstream (see bgo#747046).
      (this means no utmp/wtmp updating anymore.)
  * Update debian/libvte-2.91-0.symbols with one removal
    - The magic vte_get_resource symbol has no users according
      to codesearch.debian.net and noone will likely notice it's
      missing.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 15:54:47 +0200

vte2.91 (0.40.2-2) unstable; urgency=medium

  * Drop 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch as it
    causes a regression and makes gnome-terminal use a smaller size then
    configured. Thanks Ian Abbott for tracking this down. Closes: #787104

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jul 2015 21:12:49 +0200

vte2.91 (0.40.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update debian/libvte-2.90-9.symbols, add new symbols.
  * Update Build-Depends and Depends of libvte-2.91-dev as per configure.ac.
  * Disable GnuTLS support for udeb build.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 May 2015 22:23:23 +0200

vte2.91 (0.38.3-1) experimental; urgency=medium

  * New upstream bugfix release 0.38.3
    + 10_check_cursor_display.patch, 11_cjk_ambiguous_width.patch,
      12_zombies.patch, 13_zombies.patch: Drop, applied upstream.
  * d/p/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch: Add
    patch taken from upstream bug to add the VteTerminal css rule with a lower
    priority than the theme, allowing themes to set their own values for
    properties on the VteTerminal widget.

 -- Iain Lane <laney@debian.org>  Tue, 16 Dec 2014 13:19:29 +0000

vte2.91 (0.38.1-2) unstable; urgency=medium

  * Bug fixes from upstream git:
    + 10_check_cursor_display.patch: check the cursor’s display before
      using it.
    + 11_cjk_ambiguous_width.patch: copy-paste bug in properties.
    + 12_zombies.patch, 13_zombies.patch: don’t leave zombie processes
      around. Closes: #770596.

 -- Josselin Mouette <joss@debian.org>  Fri, 05 Dec 2014 14:49:32 +0100

vte2.91 (0.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Homepage field.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update debian/copyright and make it compliant to the final spec.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 20:38:29 +0200

vte2.91 (0.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 24 Sep 2014 21:57:18 +0200

vte2.91 (0.37.90-1) experimental; urgency=medium

  * New upstream release
  * Rename source package from vte3 to vte2.91 (Matching the api version)
  * debian/patches/01_scroll_notebook.patch
    + Refreshed
  * debian/patches/25_optional-ncurses.patch
    + Removed. ncurses is no longer used
  * debian/patches/fix-out-of-tree-build.patch
    + Added. Fix out of tree build
  * Make libvte-2.91-dev conflict with libvte-2.90-dev

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 06 Sep 2014 13:06:27 +0200

vte3 (1:0.36.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/02_emulation-fix-keypad-home-end.patch
    - now shipped in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 23 Jun 2014 20:18:25 +0200

vte3 (1:0.36.2-1) unstable; urgency=medium

  * Drop obsolete 04_workaround_resources_compiler_path.patch
    - problem fixed in glib/gio for years already.
    - See https://bugzilla.gnome.org/show_bug.cgi?id=672541#c3
  * New upstream release.
  * Add debian/patches/02_emulation-fix-keypad-home-end.patch
    - cherry-picked from upstream by advice from Egmont Koblinger

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 15 May 2014 21:39:16 +0200

vte3 (1:0.36.1-1) unstable; urgency=medium

  * Drop obsolete 60_termcap-home-end.patch (Closes: #747347)
    - Thanks Egmont Koblinger!
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 07 May 2014 22:06:44 +0200

vte3 (1:0.36.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Apr 2014 16:36:22 +0200

vte3 (1:0.36.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libvte-2.90-9.symbols with added symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:32:44 +0100

vte3 (1:0.35.2-1) experimental; urgency=medium

  * New upstream release.
  * Make debian/patches/01_scroll_notebook.patch apply again.
  * Drop debian/patches/03_scroll_region_updates.patch, applied upstream.
  * Have quilt refresh the following patches:
    - debian/patches/04_workaround_resources_compiler_path.patch
    - debian/patches/25_optional-ncurses.patch
    - debian/patches/60_termcap-home-end.patch
  * Add two new symbols to debian/libvte-2.90-9.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Feb 2014 20:28:46 +0100

vte3 (1:0.34.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/libvte-2.90-9.symbols: Add new symbol.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Oct 2013 14:58:28 +0200

vte3 (1:0.34.8-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/README.Debian: Document how to make new tabs opened within
    Gnome Terminal have the same same working directory as the
    current tab (see #706065).

  [ Michael Biebl ]
  * Use the official field for udebs: Package-Type.
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Sep 2013 01:12:08 +0200

vte3 (1:0.34.6-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jun 2013 01:10:56 +0200

vte3 (1:0.34.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jun 2013 10:54:01 +0200

vte3 (1:0.34.5-1) experimental; urgency=low

  * New upstream release
    - Improvements to vte.sh script; now compatible with both bash and zsh

 -- Iain Lane <laney@debian.org>  Fri, 24 May 2013 10:30:33 +0100

vte3 (1:0.34.3-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Apr 2013 23:19:42 +0200

vte3 (1:0.34.2-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
  * debian/libvte-2.90-9.symbols: added two new symbols.
  * Install new file /etc/profile.d/vte.sh in libvte-2.90-common package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 30 Mar 2013 17:09:16 +0100

vte3 (1:0.32.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes broken Alt/Meta/Mod1 handling. Closes: #648975
  * Refresh patches.
  * Remove debian/patches/02_meta.patch, fixed upstream in a different way.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jun 2012 23:35:47 +0200

vte3 (1:0.32.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Apr 2012 03:59:15 +0200

vte3 (1:0.32.0-2) unstable; urgency=low

  * Install a copy of the old termcap file so currently running terminal
    instances which have the old version of the library loaded, aren't broken
    by the upgrade. This workaround is only temporary. Closes: #665771
  * debian/watch: Track stable releases.
  * Bump Standards-Version to 3.9.3.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Drop Build-Depends on gir1.2-gtk-3.0, pulled by libgtk-3-dev.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 09:05:03 +0200

vte3 (1:0.32.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: Bump glib build dependency as per configure.ac.
  * Drop 03_glade-catalog-library-name.patch, fixed upstream.
  * 25_optional-ncurses.patch: Unfuzz.
  * Add 03_scroll_region_updates.patch: Fix glitches with interspersing writes
    to the bottom line with scrolls of the upper region. Patch taken from
    Ubuntu package. (GNOME #542087, LP: #246701)
  * Add 04_workaround_resources_compiler_path.patch: Drop --sourcedir from
    glib-compile-resources call. It is not necessary here, and breaks
    out-of-tree builds with absolute configure paths, such as cdbs does.
    Works around GNOME #672541.
  * debian/libvte-2.90-{common,9-udeb}.install: Drop termcap file, it's built
    in using GResource now.
  * debian/rules: Explicitly configure with --enable-gtk-doc, it's disabled
    now by default.
  * debian/libvte-2.90-9.symbols: Add new symbol from this release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Mar 2012 13:27:36 +0100

vte3 (1:0.30.1-4) unstable; urgency=low

  * debian/patches/03_glade-catalog-library-name.patch: Use the correct
    vte library name in the glade catalog file.
  * Move the glade catalog file from libvte-2.90-common into libvte-2.90-dev
    alongside the .so it references.
  * Add the necessary Breaks/Replaces.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2012 15:10:49 +0100

vte3 (1:0.30.1-3) unstable; urgency=low

  * debian/control.in:
    - Remove obsolete Replaces.
    - Change section of gir1.2-vte-2.90 to introspection.
    - Remove X-Python-Version, since we no longer build a python module.
  * debian/rules:
    - Correctly pass libexecdir to configure so libvte has the correct path to
      gnome-pty-helper.
  * Update install and lintian override file for the updated gnome-pty-helper
    location. We use the full library package name as subdirectory now, so we
    don't get file conflicts on soname bumps.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Dec 2011 16:17:20 +0100

vte3 (1:0.30.1-2) unstable; urgency=low

  * libvte-2.90-9.symbols: add correct Build-Depends-Package.
  * 02_meta.patch: workaround for Meta key being broken since the GTK+
    3.2.2 upgrade. Closes: #648975.

 -- Josselin Mouette <joss@debian.org>  Sat, 19 Nov 2011 14:02:12 +0100

vte3 (1:0.30.1-1) experimental; urgency=low

  * New upstream release.
  * Drop all GTK+ 2.x support since it has disappeared upstream.
  * Rename source package accordingly.
  * Bump gtk+ build-dependency.
  * Call dpkg-gensymbols -c4.
  * Add appropriate Breaks/Replaces for moved files.
  * Create a udeb for the gtk3 version.

 -- Josselin Mouette <joss@debian.org>  Sat, 12 Nov 2011 16:24:43 +0100

vte (1:0.28.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * Refresh debian/patches/25_optional-ncurses.patch.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Add Vcs-* fields.
    - Bump Standards-Version to 3.9.2. No further changes.
  * Switch to dh_python2.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Oct 2011 03:41:29 +0200

vte (1:0.28.1-2) unstable; urgency=low

  * libvte-doc.links: dropped. Closes: #631881.
  * libvte-common.postinst: do the symlink dance for
    /usr/share/vte/termcap. Closes: #611826, #631824, #631801.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Jun 2011 18:52:26 +0200

vte (1:0.28.1-1) unstable; urgency=low

  * Tighten dependencies on libvte-common.
  * New upstream release.
    + CVE-2011-2198: fix memory exhaustion by using special character
      sequences. Closes: #629688.
  * Drop check-dist include.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Jun 2011 21:47:56 +0200

vte (1:0.28.0-2) experimental; urgency=low

  * Fix long description, thanks Teemu Ikonen. Closes: #623219.
  * Drop useless libvte-dev dependency on python-vte. Closes: #549015.
  * libvte-common Breaks libvte9 < 1:0.28. Closes: #616394, #611826.
  * python-vte Breaks python-apt << 0.8.0~exp2. Closes: #621483.
  * Fix udeb sourcedir, thanks Colin Watson. Closes: #627555.
  * 01_scroll_notebook.patch: new patch. Allow to switch tabs with
    Alt+wheel with the latest gtk+3.0.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Jun 2011 02:06:40 +0200

vte (1:0.28.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Add build-depends to libgladeui-dev, the GTK3 version now requires it.
  * Move autoreconf.mk before debhelper.mk to avoid debhelper.log
    leftovers.
  * Drop unneeded Sections fields duplicating the default value.
  * Add lintian overrides for package-name-doesnt-match-sonames and
    setgid-binary.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Apr 2011 20:27:53 +0000

vte (1:0.27.90-2) experimental; urgency=low

  * Drop unneeded dependency on libvte-common from gir1.2-vte-2.90.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Apr 2011 11:31:01 +0200

vte (1:0.27.90-1) experimental; urgency=low

  * Make the -dev package depend on the gir package.
  * Force the upgrade of libvte-common for the new termcap definitions.
  * New upstream pre-release.
  * Use dh-autoreconf; drop 90_autoreconf.patch.
  * Pass PYTHON= as configure argument instead of environment, so that
    it doesn’t get lost when dh-autoreconf goes mad.
  * Bump shlibs version.
  * There’s no longer gsettings stuff to isntall.
  * Update symbols file.
  * Make the -dev packages recommend the -doc package.

 -- Josselin Mouette <joss@debian.org>  Thu, 31 Mar 2011 10:34:47 +0530

vte (1:0.27.5-1) experimental; urgency=low

  * debian/control.in:
    + Drop obsolete dpkg-dev build dependency.
    + Bump the libgtk2.0-dev dependency on the -dev package.
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Update for the new gtk+ 3 package names.
    + debian/patches/90_autoreconf.patch:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:23:13 +0000

vte (1:0.27.4-1) experimental; urgency=low

  * Switch to CDBS' flavors system.
  * Bump debhelper compatibility to 8.
  * New upstream release, based on a patch by Michael Terry.
    Closes: #604846.
  * Include check-dist.mk to prevent accidental uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:45:34 +0000

vte (1:0.24.3-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/12_python_reaper.patch:
    - Removed, upstream said WONTFIX, so remove that API.
  * debian/control.in:
    - Break gdebi (<< 0.6.1) since that's the first version not requiring
      the above patch.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 12:48:02 +0100

vte (1:0.24.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/90_autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 20:30:04 +0200

vte (1:0.24.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_transparent_crash.patch:
      - Dropped, fixed upstream.
    + debian/patches/25_optional-ncurses.patch:
      - Updated to apply cleanly again.
    + debian/patches/90_autoreconf.patch:
      - Regenerated for the new version.
    + debian/control.in:
      - Update build dependencies and dependencies of the -dev package.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 May 2010 20:11:29 +0200

vte (1:0.24.0-3) unstable; urgency=low

  * debian/python-vte.install:
    - Also install bindings for python2.6 (don't hardcode site-packages).
  * debian/control.in,
    debian/rules,
    debian/source/format,
    - Switch to source format 3.0 (quilt).
  * debian/patches/25_optional-ncurses.patch:
    - Updated to apply cleanly.
  * debian/control.in:
    - Bump Standards-Version to 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Apr 2010 14:18:44 +0200

vte (1:0.24.0-2) unstable; urgency=low

  * 01_transparent_crash.patch: patch by Tetralet to fix a crash when
    the background file is missing, or when the transparent background
    has no root window. Closes: #576624.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 18:23:02 +0200

vte (1:0.24.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Update shlibs version because of new API.
      - Remove X_DISPLAY_MISSING from udeb CFLAGS.
    + debian/patches/90_autoreconf.patch:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Mar 2010 11:11:22 +0200

vte (1:0.23.5-4) experimental; urgency=low

  [ Cyril Brulebois ]
  * Switch udeb from DirectFB to Xlib to prepare the move to an X11-based
    graphical installer
     - Drop the B-D on libgtk-directfb-2.0-dev.
     - Bump the B-D on libgtk2.0-dev to make sure the udeb gets its
       dependency on the (recently-added) udeb rather than on the library.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Remove hack that was needed to build the udeb against the DirectFB
      GTK+ library, since the default one was the X11. We build against
      the X11 one now.
  * debian/patches/12_python_reaper.patch:
    - Mention that this is WONTFIX upstream and that we should eventually
      remove it.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Mar 2010 22:20:16 +0100

vte (1:0.23.5-3) experimental; urgency=low

  * debian/rules:
    + Update shlibs version to >= 0.23.5.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2010 09:02:23 +0100

vte (1:0.23.5-2) experimental; urgency=low

  * New upstream development release:
    + debian/patches/90_autoreconf.patch:
      - Refreshed.
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.
    + debian/control.in:
      - Build depend on GLib >= 2.22.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2010 08:17:53 +0100

vte (1:0.22.5-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/90_autoreconf.patch:
      + Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Nov 2009 07:40:57 +0100

vte (1:0.22.4-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/90_autoreconf.patch:
      + Refreshed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 08 Nov 2009 21:44:54 +0100

vte (1:0.22.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/70_python_env.patch:
      - Dropped, merged upstream.
    - debian/patches/90_autoreconf.patch:
      + Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2009 09:35:46 +0100

vte (1:0.22.2-2) unstable; urgency=low

  * debian/patches/70_python_env.patch:
    - Fix Python environment passing, GNOME #587894.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Oct 2009 13:43:27 +0200

vte (1:0.22.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - debian/patches/01_vte_sequence_handler_cd_crash.patch:
      + Removed, applied upstream.
    - debian/patches/90_autoreconf.patch:
      + Refreshed.
  * debian/watch: Don't uupdate.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 29 Sep 2009 14:06:41 +0200

vte (1:0.22.1-2) unstable; urgency=low

  * debian/patches/01_vte_sequence_handler_cd_crash.patch:
    - Patch from Matijs van Zuijlen to fix a crash. Closes: #548388.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Sep 2009 00:45:48 +0200

vte (1:0.22.1-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix crash on terminal reset. Closes: #548319.
  * debian/patches/01_background_ncurses.patch:
    - Removed, the fix is in the new version.
  * debian/patches/25_optional-ncurses.patch,
    debian/patches/90_autoreconf.patch:
    - Refreshed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Sep 2009 00:01:19 +0200

vte (1:0.22.0-2) unstable; urgency=low

  * 01_background_ncurses.patch: stolen upstream. Fix background color
    in ncurses applications. Closes: #548241.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 22:49:17 +0200

vte (1:0.22.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_bashisms.patch: forwarded, add header.

  [ Sebastian Dröge ]
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Sep 2009 13:34:21 +0200

vte (1:0.20.5-1) unstable; urgency=low

  * New upstream bugfix release, undoing the unintended
    soname bump (Closes: #532552):
    + debian/control.in,
      debian/*.install:
      - Undo package rename.
    + debian/patches/90_autoreconf.patch:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 10 Jun 2009 07:07:43 +0200

vte (1:0.20.4-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc, libgtk2.0-doc and libatk1.0-doc to b-d-i to
    ensure proper xrefs.
  * 01_bashisms.patch: fix bashims in provided scripts. Closes: #530123.

  [ Sebastian Dröge ]
  * New upstream bugfix releases:
    + debian/rules:
      - Update shlibs version to >= 0.20.4 for API additions.
    + debian/control.in,
      debian/*.install:
      - Update for the new soname.
    + debian/patches/90_autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 02 Jun 2009 07:01:29 +0200

vte (1:0.20.1-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/patches/20_make_ft2_optional.patch:
    - Removed as ft2 files have been removed upstream.
  * debian/patches/12_python_reaper.patch,
    debian/patches/25_optional-ncurses.patch,
    debian/patches/90_autoreconf.patch:
    - Updated to apply cleanly.
  * debian/patches/30_fix_build_no_pty_helper.patch,
    debian/patches/04_dsp_non_alias.patch,
    debian/patches/92_full_bold_fonts.patch:
    - Removed as applied upstream.
  * debian/control.in:
    - General dependencies changes:
      + Removed libxt, libxft, libfontconfig1, libxrenderer and libfreetype6
        as they are no more referenced in the upstream code since using
        pangocairo.
      + Bump libglib2.0-dev to 2.18.0.
      + Bump libgtk2.0-dev to 2.14.0.
      + Specify libpango1.0-dev version needed is 1.22.0.
    - Build-Depends:
      + Added libgladeui-1-dev.
    - libvte-dev Depends:
      + Removed libatk1.0-dev, libsm-dev, libice-dev, zlib1g-dev and
        libx11-dev.
    - Update Standards-Version to 3.8.1, no additional changes needed.
  * debian/rules:
    - Removed xft2, ft, pangox, glX and x configure options.
    - Add -DX_DISPLAY_MISSING to udeb CFLAGS.
    - Add --enable-glade-catalogue to DEB_CONFIGURE_EXTRA_FLAGS to install
      gladeui files.
  * debian/libvte-common.install:
    - Install gladeui files under /usr/share/glade3.

  [ Josselin Mouette ]
  * New upstream release.
  * Install the Python development files in libvte-dev and make this
    package provide python-vte-dev, just in case.
  * Fix dh_pysupport invocation.
  * Bump shlibs to version 1:0.19.4.
  * Remove libvte-dev dependency on ncurses.
  * Remove incorrect Provides: in python-vte.
  * Switch to quilt to manage patches.
  * 90_autoreconf.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Thu, 23 Apr 2009 00:41:20 +0200

vte (1:0.17.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Mar 2009 13:55:08 +0100

vte (1:0.17.4-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build-depends.
      - Update Standards-Version to 3.8.0, no additional changes needed.
    + debian/rules:
      - Update shlibs version to reflect API additions.
    + debian/patches/29_add_am_prog_cc_c_o_for_buffer_c.patch,
      debian/patches/01_anjuta_hang.patch:
      - Dropped, merged upstream.
    + debian/patches/20_make_ft2_optional.patch,
      debian/patches/90_autoreconf.patch:
      - Updated to apply cleanly again.
    + debian/patches/92_full_bold_fonts.patch:
      - Patch from the Ubuntu package to first check if a bold variant
        of a font exists before using "pseudo-bolding".
    + debian/python-vte.examples:
      - Add some more examples, taken from the Ubuntu package.
  * debian/watch:
    + Updated for new versions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 24 Nov 2008 10:15:11 +0100

vte (1:0.16.14-4) unstable; urgency=low

  [ Josselin Mouette ]
  * libvte-doc.links: add a link in /usr/share/doc to the documentation.
    Closes: #495356.

  [ Loic Minier ]
  * Don't overwrite DEB_FIXPERMS_EXCLUDE and DEB_DH_MAKESHLIBS_ARGS_ALL.

  [ Josselin Mouette ]
  * 01_anjuta_hang.patch: new patch, stolen from upstream. Fix hangs in
    Geany and Anjuta. Closes: #498295.

 -- Josselin Mouette <joss@debian.org>  Fri, 24 Oct 2008 18:53:48 +0200

vte (1:0.16.14-3) unstable; urgency=low

  * Fix 1:0.16.14-2 changelog entry.
  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Mon, 04 Aug 2008 12:21:58 +0200

vte (1:0.16.14-2) experimental; urgency=low

  [ Loic Minier ]
  * Properly anchor libvteN regexp.
  * Misc cleanups of the below changelog and patches.

  [ Jérémy Bobbio ]
  * New patch, 20_make_ft2_optional, make Freetype2 bdep/dep optional;
    GNOME #542560.
  * New patch, 29_add_am_prog_cc_c_o_for_buffer_c, add the AM_PROG_CC_C_O
    macro which automake claim is required and was added in upstream SVN
    already.
  * New patch, 30_fix_build_no_pty_helper, fix missing header issue when
    building without gnome-pty-helper; GNOME #542561.
  * New patch, 25_optional_ncurses, allows not linking against ncurses but
    using the builtin termcap support instead.
  * New patch, 90_autoreconf, run autoreconf for 20_make_ft2_optional,
    29_add_am_prog_cc_c_o_for_buffer_c, and 25_optional_ncurses.
  * Re-enable libvte9-udeb build.
     - Drop libvte-common dep in the udeb.
     - Configure the udeb without pangox and ft2 and with a static ncurses.
  * New patch, 60_termcap-home-end, defines home/end in the builtin termcap
    support file.

  [ Loic Minier ]
  * Drop dup --disable-maintainer-mode flag.
  * Override CFLAGS for udeb during configure.

 -- Loic Minier <lool@dooz.org>  Thu, 26 Jun 2008 20:44:36 +0200

vte (1:0.16.14-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Jun 2008 12:21:06 +0200

vte (1:0.16.13-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Fix libvte-doc short description, which was refering to
      development files instead of documentation.

  [ Loic Minier ]
  * Drop head -n1 from libvteN computation.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 21:51:56 +0100

vte (1:0.16.12-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Jan 2008 19:42:18 +0100

vte (1:0.16.11-1) unstable; urgency=low

  [ Loic Minier ]
  * Tighten libvte package name extraction.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Dec 2007 21:52:05 +0100

vte (1:0.16.10-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 Dec 2007 12:13:11 +0100

vte (1:0.16.9-1) unstable; urgency=low

  * New upstream release, with API additions:
    + debian/rules:
      - Bump shlibs to >= 0.16.9 for the API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2007 10:28:08 +0200

vte (1:0.16.8-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream release:
    - Dropped 60_fix-ctrl-dash.patch and 62_alt-arrows.patch,
      merged upstream
    - Fixes rendering of line-drawing characters; closes: #418699.

  [ Loic Minier ]
  * New upstream stable release; no API change.

 -- Loic Minier <lool@dooz.org>  Mon, 30 Jul 2007 20:25:31 +0200

vte (1:0.16.6-3) unstable; urgency=low

  * Cleanup changelog.
  * Drop patch 61_ctrl-and-shift-arrows as it breaks up/down history;
    closes: #434558, #434560, #434577, #434560.

 -- Loic Minier <lool@dooz.org>  Wed, 25 Jul 2007 09:43:04 +0200

vte (1:0.16.6-2) unstable; urgency=low

  * Drop patch 41_from_upstream_fix_nvi_scrolling; fixed differently upstream
    since 0.16.2; see GNOME #417652.
  * Add xrefs to patches.
  * New patches, 61_ctrl-and-shift-arrows and 62_alt-arrows, should fix
    handling of Ctrl-, Shift-, and Alt- + arrow keys by using xterm's
    sequences; GNOME #310305 and #337252; closes: #421734.

 -- Loic Minier <lool@dooz.org>  Tue, 24 Jul 2007 09:06:47 +0200

vte (1:0.16.6-1) unstable; urgency=low

  * Pass proper configure flags to the udeb.
  * Generate proper shlibs for the udeb.
  * Build against the diretcfb Gtk flavor.
  * Disable udeb for now since it's unlikely to get useful soon.
  * New upstream stable release; no API change.
    - Fixes 24 colors support; GNOME #332606, #372743; closes: #320114.
  * New patch, 60_fix-ctrl-dash, fixes mapping for Ctrl + dash; thanks
    Andrey Melnikov; GNOME #448259; closes: #429260.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Jun 2007 11:08:11 +0200

vte (1:0.16.5-2) experimental; urgency=low

  * Add a new libvte9-udeb package.

 -- Loic Minier <lool@dooz.org>  Mon, 18 Jun 2007 23:10:47 +0200

vte (1:0.16.5-1) unstable; urgency=low

  * New upstream release
  * Dropped 20_fix_strange_lines.patch, merged upstream

 -- Alan Baghumian <alan@technotux.org>  Wed, 06 Jun 2007 11:05:11 +0330

vte (1:0.16.4-1) unstable; urgency=low

  * New upstream release
    + fix ctrl-key combinations yielding just key.
      Closes: #425879, #421734.
    + fix scrollback corruption. Closes: #421092.
  * Added 20_fix_strange_lines.patch, fixed strange lines above the screen;
    from SVN r1904.

 -- Alan Baghumian <alan@technotux.org>  Sun, 03 Jun 2007 17:25:27 +0330

vte (1:0.16.3-1) unstable; urgency=low

  * New upstream release; no API change.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Apr 2007 23:29:59 +0200

vte (1:0.16.2-1) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * New upstream stable release; no API change.

 -- Loic Minier <lool@dooz.org>  Tue, 24 Apr 2007 14:55:49 +0200

vte (1:0.16.1-1) experimental; urgency=low

  * New upstream release; no API change.
    - Fixes output of incorrect colours; closes: #416125.
    - Drop patch 40_fix_transparency_bug, fixed differently upstream.
    - Drop patch -and-delayed-redraws-race, merged upstream.
  * Drop debian/pyversions and set XB and XS-Python-Version.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Apr 2007 17:31:28 +0200

vte (1:0.16.0-2) experimental; urgency=low

  * New patch, 50_expose-and-delayed-redraws-race, fixes a race between expose
    and delayed redraws; GNOME #419116; closes: #415730.

 -- Loic Minier <lool@dooz.org>  Wed, 21 Mar 2007 17:44:46 +0100

vte (1:0.16.0-1) experimental; urgency=low

  * New upstream major stable release; API additions.
    - Build-depend on libpango1.0-dev and libxft-dev.
    - Bump shlibs to >= 1:0.16.0.
    - Drop patch 30_pkg-config-private-field-for-freetype, merged upstream.
  * New patch, 40_fix_transparency_bug, workarounds a bug with transparency;
    by Nicolas Bruguier and Chris Wilson; Launchpad #91985; found in the
    Ubuntu package.
  * New patch, 41_from_upstream_fix_nvi_scrolling, fixes scrolling in nvi;
    patch from Chris Wilson; Launchpad: #91017; found in the Ubuntu package.

 -- Loic Minier <lool@dooz.org>  Sun, 18 Mar 2007 11:08:13 +0100

vte (1:0.14.2-1) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Drop version in the dependency on libvte-common to permit installing two
    libvte shared library packages at the same time; the files in
    libvte-common are translations and a termcap file which didn't change
    since 2002 which is supposedly eternally backward compatible, hence this
    should only result in some untranslated text.
  * Merge 1:0.12.2-5 / SVN revs 7195:8677.
  * New upstream release; no API change.
    - Drop patch 20_gtk-style-attach-crash, merged upstream.

 -- Loic Minier <lool@dooz.org>  Thu,  1 Mar 2007 11:30:40 +0100

vte (1:0.14.1-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 21 Nov 2006 20:37:02 +0100

vte (1:0.14.0-1) experimental; urgency=low

  * New upstream release; no API change.
  * Preemptively fix the 12_python_reaper patch to work with newer codegen,
    thanks Daniel Holbach and Michael Vogt for all the fish.
  * Merge 1:0.12.2-4.

 -- Loic Minier <lool@dooz.org>  Tue,  5 Sep 2006 16:43:37 +0200

vte (1:0.13.7-1) experimental; urgency=low

  * New upstream development release; no API change.

 -- Loic Minier <lool@dooz.org>  Fri, 25 Aug 2006 20:20:03 +0200

vte (1:0.13.6-1) experimental; urgency=low

  * New upstream development release; no API change.
  * Merge 1:0.12.2-3.

 -- Loic Minier <lool@dooz.org>  Wed, 23 Aug 2006 15:56:50 +0200

vte (1:0.13.5-1) experimental; urgency=low

  * New upstream development releases, with API changes.
    - Target at experimental.
    - Rename livte4 to libvte9 for the new SONAME.
    - Bump shlibs to >= 1:0.13.3.
    - Drop 08_set_backspace_to_utf8 patch, merged upstream.
    - Drop 09_multiscreen_safe, fixed upstream.
    - Drop 70_relibtoolize, I'm too lazy to update it for dev releases.
    - Bump up libglib2.0-dev build-dep to > 2.9.0.

 -- Loic Minier <lool@dooz.org>  Wed,  9 Aug 2006 22:45:15 +0200

vte (1:0.12.2-5) unstable; urgency=medium

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New patch, 20_gtk-style-attach-crash, fixes crash in gtk_style_attach when
    changing icon theme; backported from GNOME #399282 / vte 0.14.2; see also
    GNOME #353498.
  * Stop shipping *.a and *.la files for Python modules.

 -- Loic Minier <lool@dooz.org>  Mon, 26 Feb 2007 14:15:57 +0100

vte (1:0.12.2-4) unstable; urgency=medium

  * Remove references to the forgotten hardcoded python2.3 and python2.4
    version from the python-vte.install file, thanks Daniel Holbach.
  * Urgency medium since this will cause FTBFS in the future.

 -- Loic Minier <lool@dooz.org>  Tue,  5 Sep 2006 16:36:09 +0200

vte (1:0.12.2-3) unstable; urgency=medium

  * Drop useless DEB_PYTHON_SYSTEM=pysupport.
  * Rework package build completely to follow pyversions --requested.
  * Set pyversions to "2.3-".
  * Urgency medium since this fixes a FTBFS.

 -- Loic Minier <lool@dooz.org>  Wed, 23 Aug 2006 15:44:03 +0200

vte (1:0.12.2-2) unstable; urgency=low

  [ Loic Minier ]
  * Remove versions in Conflicts/Replaces with python2.X-vte.

  [ Josselin Mouette ]
  * 12_python_reaper.patch: patch from Michael Vogt to add a python
    binding for the reaper object (closes: #364383, #381143).

  [ Loic Minier ]
  * Add ${misc:Depends}.

 -- Loic Minier <lool@dooz.org>  Wed,  9 Aug 2006 22:15:22 +0200

vte (1:0.12.2-1) unstable; urgency=low

  [ Loic Minier ]
  * New upstream release.
    - Relibtoolize.
      [debian/patches/70_relibtoolize.patch]
  * Fix watch file.

  [ Gustavo Franco ]
  * Python New Policy Transition. (Closes: #373405)
    - debian/control:
      - python-vte now provides Python 2.3 and 2.4 vte Python bindings.
      - Add python-support as Build-Depends.
      - Fix python-vte package description.
    - debian/rules:
      - Add DEB_PYTHON_SYSTEM variable and set to pysupport.
      - Make the needed changes to provide Python 2.3 and 2.4 vte Python
        bindings in the same binary package (python-vte).
      - Remove dh_python call since it's no more needed.
      - Add dh_pysupport call in binary-install/python-vte target.
    - Remove debian/python{2.3,2.4}-vte.install
    - Add debian/python-vte.install
  * Set debhelper compatibility to 5.

 -- Gustavo Franco <stratus@debian.org>  Tue, 11 Jul 2006 01:06:36 -0300

vte (1:0.12.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Set fatalerror as the primary maintainer.
  * Make the package binNMU-safe.
    + Build-depend on dpkg-dev 1.13.19.
    + Use ${source:Version} and ${binary:Version}.

  [ Loic Minier ]
  * Stop shipping /usr/lib/*.la files in libvte-dev.
    [debian/libvte-dev.install]
  * New upstream release, with API additions.
    - Bump up libgtk2.0-dev build-dep to >=  2.6.0.
      [debian/control, debian/control.in]
    - Add a libglib2.0-dev build-dep (>  2.6.0).
      [debian/control, debian/control.in]
    - Bump shlibs to >= 1:0.12.1.
      [debian/rules]
    - Drop restricted region adjustment patch as upstream merged it and also
      fixed a couple of issues it had.
      [debian/patches/20_restricted_region_readjustment.patch]
    - Relibtoolize.
      [debian/patches/70_relibtoolize.patch]
  * Fix clenaup of /debian/tmp-2.3 instead of debian/tmp-2.3 introduced with
    Python 2.4 support.
    [debian/rules]
  * Bump up Standards-Version to 3.7.2.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri, 12 May 2006 16:11:16 +0200

vte (1:0.12.0-2) unstable; urgency=low

  * Drop references to libXcursor.la

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri, 21 Apr 2006 12:49:11 -0300

vte (1:0.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/20_restricted_region_readjustment.patch:
    - patch from upstream CVS to fix the famous Blue Screen of
      Death with irssi running inside screen.
  * debian/copyright:
    - updated list of upstream authors
    - updated to use http://download.gnome.org/
  * debian/watch:
    - updated to use http://download.gnome.org/

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Sun,  2 Apr 2006 12:15:57 -0300

vte (1:0.11.20-3) unstable; urgency=low

  * Fix Python build-deps, thanks Jan Lübbe.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Mon, 27 Feb 2006 09:55:30 +0100

vte (1:0.11.20-2) unstable; urgency=low

  * Merge nice patch from Jan Lübbe to build vte's python bindings for python
    2.3 and 2.4. (Closes: #353434)
    [debian/control, debian/control.in, debian/python-vte.install,
    debian/python2.3-vte.install, debian/python2.4-vte.install, debian/rules]
  * Tune up the descriptions slightly.
    [debian/control, debian/control.in]
  * Let python2.3-vte replace previous versions of python-vte.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Sun, 26 Feb 2006 21:34:54 +0100

vte (1:0.11.20-1) unstable; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Sun, 26 Feb 2006 11:28:15 +0100

vte (1:0.11.19-1) unstable; urgency=low

  * New upstream release.
    - Shift+Insert pasting works as in the past. (Closes: #354275)

 -- Loic Minier <lool@dooz.org>  Sat, 25 Feb 2006 17:45:13 +0100

vte (1:0.11.18-1) unstable; urgency=low

  * New upstream release.
    - Drop double free() fix (merged upstream).
      [debian/patches/07_remove_doublefree.patch]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 20:55:57 +0100

vte (1:0.11.17-1) unstable; urgency=low

  * New upstream release.
    - This release backs out all changes made to the .pc file in
      debian/patches/30_pkg-config-private-fields.patch, and hence reopens
      #340406, but should include proper -I flags. (Closes: #346039)
    - New patch to move only the libfreetype link flags to Libs.private.
      [debian/patches/30_pkg-config-private-field-for-freetype.patch]
      (Closes: #340406)
    - Drop patch adding console sequesnces to save/restore cursor position
      (merged upstream).
      [debian/patches/05_cursor_position.patch]
    - Drop relibtoolizing patch as the person bootstrapping vte for GNOME was
      visibly running Debian. :)
      [debian/patches/70_relibtoolize.patch]

 -- Loic Minier <lool@dooz.org>  Sun, 29 Jan 2006 18:35:39 +0100

vte (1:0.11.16-1) unstable; urgency=low

  * New upstream release.
    - Drop patch to use .private pkg-config pseudo-headers (included
      upstream).
      [debian/patches/30_pkg-config-private-fields.patch]
    - No need to "rm python/vte.c", this is not distributed upstream anymore.
      [debian/rules]
    - Drop patch to fix gdk warnings (included upstream).
      [debian/patches/20_gdk-warning.patch]
    - Relibtoolize.
      [debian/patches/70_relibtoolize.patch]

 -- Loic Minier <lool@dooz.org>  Mon, 23 Jan 2006 22:15:53 +0100

vte (1:0.11.15-4) unstable; urgency=low

  * Build-depend on libfreetype6-dev (>= 2.0.2) to match the checks in
    configure.in. (Closes: #340412)
    [debian/control, debian/control.in]
  * Use pkg-config's Libs.private and Requires.private field for libraries and
    packages needed only for static linking instead of the Libs / Requires
    fields; you need to build-depend on pkg-config (>= 0.18) to use these
    fields.  Based on a patch by Steve Langasek.  (Closes: #340406)
    [debian/patches/30_pkg-config-private-fields.patch]

 -- Loic Minier <lool@dooz.org>  Wed, 23 Nov 2005 15:23:11 +0100

vte (1:0.11.15-3) unstable; urgency=high

  * Force regeneration of the python bindings by removing python/vte.c.
    (Closes: #334001, #334668, #338090)
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Tue,  8 Nov 2005 22:38:50 +0100

vte (1:0.11.15-2) unstable; urgency=high

  * Urgency high for RC bug fix.
  * Add libsm-dev, libice-dev, zlib1g-dev, libncurses5-dev | libncurses-dev,
    libx11-dev, and libfontconfig1-dev deps to vte-dev, according to its .pc
    file. (Closes: #259671) [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Sun, 16 Oct 2005 22:21:33 +0200

vte (1:0.11.15-1) unstable; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in:
    - use ${python:Depends}.
  * debian/python-vte.install:
    - don't use a specific python version.
  * debian/rules:
    - use dh_python.

  [ Loic Minier ]
  * New upstream releases.
    - Fix confusion between py_palette and item in
      _wrap_vte_terminal_set_colors(), doesn't segfault anymore in
      vte.Terminal.set_colors(). (Closes: #319987)
  * Add CDBS' utils.
  * Drop obsolete patches. [debian/patches/02_path_xtra.patch,
    debian/patches/03_path_xtra-2.patch,
    debian/patches/11_hide_pageup_behavior.patch]
  * Temporarily add libxt-dev build-dependency to let
    AC_PATH_X/AC_PATH_XTRA autodetect X development files, see
    <http://bugzilla.gnome.org/show_bug.cgi?id=314669>.
  * Update FSF address. [debian/copyright]

 -- Loic Minier <lool@dooz.org>  Sun, 11 Sep 2005 16:03:32 +0200

vte (1:0.11.13-4) unstable; urgency=high

  * Urgency high for testing targetted RC bugfix.
  * Add dependencies to libvte-dev on libxft-dev, libfreetype6-dev,
    libatk1.0-dev, libpango1.0-dev, libglib2.0-dev to conform with libvte.la's
    dependency_libs. [debian/control, debian/control.in] (Closes: #259671)

 -- Loic Minier <lool@dooz.org>  Sun, 31 Jul 2005 16:01:15 +0200

vte (1:0.11.13-3) unstable; urgency=low

  * Fix Gdk warnings with a patch from upstream. (Closes: #316940, #318549)
    [debian/patches/20_gdk-warning.patch]
  * Bump up Standards Version to 3.6.2.

 -- Loic Minier <lool@dooz.org>  Thu, 21 Jul 2005 20:01:23 +0200

vte (1:0.11.13-2) unstable; urgency=low

  * Rebuild on an unstable box to avoid dependencies in experimental.

 -- Josselin Mouette <joss@debian.org>  Sat, 30 Apr 2005 19:07:20 +0200

vte (1:0.11.13-1) unstable; urgency=low

  * New upstream version
  * Added a new package that contains the documentation (Closes: #300742)
  * debian/patches:
    - 01_vtemodule.patch: applied

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Tue, 19 Apr 2005 23:05:02 +0200

vte (1:0.11.12-1) unstable; urgency=low

  * New upstream version. Lots of patches in Gnome's bugzilla have been
    applied.
  * debian/patches :
    - Merged patches :
        05_performance_boost.patch
        10_redraw_vte_screen.patch
        12_fix_display_corrption_in_utf8.patch
    - Splitted 02_path_xtra.patch into to patches :
        02_path_xtra.patch contains the configure.in patch
        03_path_xtra-2.patch contains the configure patch
    - Updated 07_remove_doublefree.patch as it's partially applied

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Thu,  3 Mar 2005 23:54:07 +0100

vte (1:0.11.11-6) unstable; urgency=low

  * Added patches from Emil Soleyman-Zomalan <emil@nishra.com>.
  * debian/patches:
    - Balanced performance improvement (Closes: #197797)
        05_performance_boost.patch
        http://bugs.gnome.org/show_bug.cgi?id=143914
    - Resolve double free problem
        07_remove_doublefree.patch
        http://bugs.gnome.org/show_bug.cgi?id=161337
    - Set backspace behavior to utf8 (depends on utf8 locale)
        08_set_backspace_to_utf8.patch
        http://bugs.gnome.org/show_bug.cgi?id=158200
    - Make vte multi-screen safe
        09_multiscreen_safe.patch
        http://bugs.gnome.org/show_bug.cgi?id=160782
    - Redraw vte screen with correct background color
        10_redraw_vte_screen.patch
        http://bugs.gnome.org/show_bug.cgi?id=125364
    - Hide manifestation of PageUp behavior with less (Closes: #285143)
        11_hide_pageup_behavior.patch
        http://bugzilla.gnome.org/show_bug.cgi?id=115149
    - Fix utf8 display cooruption (Closes: #276316)
        12_fix_display_corrption_in_utf8.patch
        http://bugzilla.gnome.org/show_bug.cgi?id=154896

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Wed, 22 Dec 2004 01:32:58 +0100

vte (1:0.11.11-5) unstable; urgency=low

  * debian/patches:
    - Relibtoolized 02_path_xtra.patch (Closes: #259671)
    - Added an updated patch from http://bugs.gnome.org/show_bug.cgi?id=142640
    to display correctly fonts (Closes: #251355)

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Thu, 12 Aug 2004 14:00:51 +0200

vte (1:0.11.11-4) unstable; urgency=low

  * GNOME team upload.
  * debian/rules: add epoch to shlib declaration (closes: #253120).

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 Jun 2004 17:24:12 +0200

vte (1:0.11.11-3) unstable; urgency=low

  * Gnome Team Upload.
  * debian/rules:
    + shlibs version =  0.11.11.

 -- Sebastien Bacher <seb128@debian.org>  Tue,  8 Jun 2004 00:55:25 +0200

vte (1:0.11.11-2) unstable; urgency=low

  * GNOME Team Upload.
  * Upload in unstable.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 27 May 2004 00:15:35 +0200

vte (1:0.11.11-1) experimental; urgency=low

  * New upstream version
    - Removes all former patches, as they're no more needed
    - Add a patch for correcting init_vte typos.
    - This version add more documentation in python-vte module (Closes: #225296)
    - New build dependency on gtk-doc-tools
  * Added a patch for using AC_PATH_XTRA with Debian's enhancements.
  * Added a patch for supporting some save/restore cursor position console
    sequences (Closes: 248896)

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Sun,  2 May 2004 22:37:25 +0200

vte (1:0.11.10-8) unstable; urgency=low

  * debian/patches:
    - Added a patch to support the vte_terminal_fork_pty call coming from
    upstream cvs (Closes: #241485)

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Sun, 18 Apr 2004 14:18:56 +0200

vte (1:0.11.10-7) unstable; urgency=low

  * The gnome-pty-helper didn't have the right permissions, so it couldn't
  update the utmp files. (Closes: #240279)

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Tue, 30 Mar 2004 01:15:47 +0200

vte (1:0.11.10-6) unstable; urgency=low

  * Fixed build-dependencies (Closes: #238470)

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Wed, 17 Mar 2004 19:25:26 +0100

vte (1:0.11.10-5) unstable; urgency=low

  * New maintainer (Closes: #234970)
  * Switched from debhelper to cdbs for the packaging

 -- Arnaud Patard <arnaud.patard@rtp-net.org>  Sun, 29 Feb 2004 19:41:29 +0100

vte (1:0.11.10-4) unstable; urgency=low

  * This package suck more and more, slow, broken and upstream don't care,
    thus orpahned.

 -- Christian Marillat <marillat@debian.org>  Thu, 26 Feb 2004 21:48:39 +0100

vte (1:0.11.10-3) unstable; urgency=low

  * New patch 02_link.dpatch to fix broken linkage (Closes: #220108)

 -- Christian Marillat <marillat@debian.org>  Sun, 30 Nov 2003 17:21:07 +0100

vte (1:0.11.10-2) unstable; urgency=low

  * Add patch for less artifacts (Closes: #218399)
  * NMU aren't walcome when I've tagged this bug pending two days ago. Don't
    touch my packages.

 -- Christian Marillat <marillat@debian.org>  Mon,  3 Nov 2003 19:13:10 +0100

vte (1:0.11.10-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 19 Oct 2003 11:32:07 +0200

vte (1:0.10.29-6) unstable; urgency=low

  * Re-apply cursor blinking patch (Closes: #186764, #211818)

 -- Christian Marillat <marillat@debian.org>  Tue, 30 Sep 2003 22:50:18 +0200

vte (1:0.10.29-5) unstable; urgency=low

  * Add libxrender-dev in Builde-Depends and Depends for the -dev package (Closes: #208533)

 -- Christian Marillat <marillat@debian.org>  Wed,  3 Sep 2003 18:19:51 +0200

vte (1:0.10.29-4) unstable; urgency=low

  * Fix python dependencies in python-vte (Closes: #206285)
  * New patch to fix a bug with the blinking (Closes: #186764)

 -- Christian Marillat <marillat@debian.org>  Wed, 20 Aug 2003 16:29:34 +0200

vte (1:0.10.29-3) unstable; urgency=low

  * debian/control Add python-gtk2-dev in build-depends
  * python package need to depends on a versioned python-gtk2 (>= 1.99.17-2)
  * Revert bug introduced in 0.10.28 about scrolling page (Closes: #190651, #203049)

 -- Christian Marillat <marillat@debian.org>  Tue, 19 Aug 2003 20:43:43 +0200

vte (1:0.10.29-2) unstable; urgency=low

  * debian/rules remove an old  CC=gcc-3.2 (Closes: #196911)

 -- Christian Marillat <marillat@debian.org>  Tue, 10 Jun 2003 20:33:06 +0200

vte (1:0.10.29-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon,  9 Jun 2003 22:26:53 +0200

vte (1:0.10.28-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 13 May 2003 09:07:26 +0200

vte (1:0.10.27-1) unstable; urgency=low

  * New upstream release.
  * Fix fonts size (Closes: #186705)

 -- Christian Marillat <marillat@debian.org>  Mon,  5 May 2003 13:13:52 +0200

vte (0.11.0-2) unstable; urgency=low

  * Update section
  * Fix crash on exit (Closes: #186593)

 -- Christian Marillat <marillat@debian.org>  Fri,  4 Apr 2003 12:49:57 +0200

vte (0.11.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 26 Mar 2003 21:26:39 +0100

vte (0.10.26-1) unstable; urgency=low

  * New upstream release.
  * Fix text wrapping (Closes: #183337)

 -- Christian Marillat <marillat@debian.org>  Tue,  4 Mar 2003 21:09:31 +0100

vte (0.10.25-1) unstable; urgency=low

  * new upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 25 Feb 2003 01:39:37 +0100

vte (0.10.23-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 21 Feb 2003 20:56:58 +0100

vte (0.10.22-1) unstable; urgency=low

  * New upstream release.
  * Fix tab focus (Closes: #180370)

 -- Christian Marillat <marillat@debian.org>  Thu, 20 Feb 2003 10:17:29 +0100

vte (0.10.20-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 15 Feb 2003 02:00:29 +0100

vte (0.10.19-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 13 Feb 2003 10:42:34 +0100

vte (0.10.17-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon,  3 Feb 2003 15:56:24 +0100

vte (0.10.16-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 31 Jan 2003 18:06:35 +0100

vte (0.10.15-1) unstable; urgency=low

  * New upstream release.
  * Fix vim and scroll mouse (Closes: #176952)

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Jan 2003 10:47:06 +0100

vte (0.10.14-1) unstable; urgency=low

  * New upstream release.
  * Workaround to fix undocumented xttitle escape sequence (Closes: #178066)
  * Fix shift+arrows keys (Closes: #177745)
  * Fix DEC graphics characters (Closes: #177977)

 -- Christian Marillat <marillat@debian.org>  Fri, 24 Jan 2003 12:24:18 +0100

vte (0.10.12-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 20 Jan 2003 22:54:23 +0100

vte (0.10.11-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Jan 2003 15:57:33 +0100

vte (0.10.10-2) unstable; urgency=low

  * -dev package should depends on libncurses5-dev (Closes: #176684)

 -- Christian Marillat <marillat@debian.org>  Tue, 14 Jan 2003 16:52:06 +0100

vte (0.10.10-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 14 Jan 2003 12:13:00 +0100

vte (0.10.8-1) unstable; urgency=low

  * New upstream release.
  * Build against libxft2-dev
  * Remove gcc-3.2 build-dependency
  * Bump Standards-Version to 3.5.8

 -- Christian Marillat <marillat@debian.org>  Wed,  8 Jan 2003 16:18:25 +0100

vte (0.10.7-1) unstable; urgency=low

  * new upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 12 Dec 2002 15:43:33 +0100

vte (0.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed,  4 Dec 2002 13:19:25 +0100

vte (0.10.4-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 12 Nov 2002 17:11:26 +0100

vte (0.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 11 Nov 2002 18:48:53 +0100

vte (0.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu,  7 Nov 2002 16:09:09 +0100

vte (0.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue,  5 Nov 2002 16:39:09 +0100

vte (0.10-1) unstable; urgency=low

  * New upstream release.
  * Bump the libray package to 4

 -- Christian Marillat <marillat@debian.org>  Thu, 31 Oct 2002 19:58:18 +0100

vte (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Fix build with the python module (Closes: #164440)

 -- Christian Marillat <marillat@debian.org>  Tue, 22 Oct 2002 16:15:17 +0200

vte (0.9.0-2) unstable; urgency=low

  * Should build-depends on gettext (Closes: #163611)

 -- Christian Marillat <marillat@debian.org>  Mon,  7 Oct 2002 09:13:35 +0200

vte (0.9.0-1) unstable; urgency=low

  * New upstream releae.
  * Add build-dependency to python-gtk2 and python-dev
  * Add a python-vte package (Closes: #158588)
  * Bump the libray package to 3
  * Move I18N file in the -common package

 -- Christian Marillat <marillat@debian.org>  Sat,  5 Oct 2002 10:38:12 +0200

vte (0.5.1-2) unstable; urgency=low

  * Build with gcc-3.2
  * Update to standards version 3.5.7

 -- Christian Marillat <marillat@debian.org>  Fri, 13 Sep 2002 21:38:02 +0200

vte (0.5.1-1) unstable; urgency=low

  * Initial Release (Closes: #153740)

 -- Christian Marillat <marillat@debian.org>  Sun, 21 Jul 2002 16:30:57 +0200
